package com.unis.crk.mq.dto;

import com.unis.crk.mq.constant.BizOperateType;
import com.unis.crk.mq.constant.BizType;

import java.io.Serializable;

/**
 * @author ybw
 * @version V1.0
 * @className BaseDTO
 * @date 2024/5/9
 **/
public class BaseDTO<T> implements Serializable {

    /**
     * 业务类型
     *
     * @author: ybw
     * @date: 2024/5/11
     **/
    protected BizType bizType;

    /**
     * 操作类型
     *
     * @author: ybw
     * @date: 2024/5/9
     **/
    protected BizOperateType bizOperateType;

    /**
     * 业务数据
     *
     * @author: ybw
     * @date: 2024/5/9
     **/
    protected T data;

    public BaseDTO(BizType bizType, BizOperateType bizOperateType, T data) {
        this.bizType = bizType;
        this.bizOperateType = bizOperateType;
        this.data = data;
    }
    public BaseDTO( BizOperateType bizOperateType, T data) {
        this.bizOperateType = bizOperateType;
        this.data = data;
    }

    public BizType getBizType() {
        return bizType;
    }

    public void setBizType(BizType bizType) {
        this.bizType = bizType;
    }

    public BizOperateType getBizOperateType() {
        return bizOperateType;
    }

    public void setBizOperateType(BizOperateType bizOperateType) {
        this.bizOperateType = bizOperateType;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
